package com.prolog.cs.base.gsp.model;

import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Description  
 * @Date 2021-05-10 
 */

@ApiModel
@Table ( value ="gsp_unqualified_loss_d" )
public class GspUnqualifiedLossD  implements Serializable {
	
	private static final long serialVersionUID =  1420213556099295369L;
	@Id
	@ApiModelProperty(value = "行ID")
	@Column(value = "id")
	private String id;

	@ApiModelProperty(value = "行号") 
	@Column(value = "code")
	private String code;

	@ApiModelProperty(value = "单据ID") 
	@Column(value = "loss_id")
	private String lossId;

	@ApiModelProperty(value = "单据编号") 
	@Column(value = "loss_code")
	private String lossCode;

	@ApiModelProperty(value = "企业ID") 
	@Column(value = "enterprise_id")
	private String enterpriseId;

	@ApiModelProperty(value = "仓配中心ID") 
	@Column(value = "dc_id")
	private String dcId;

	@ApiModelProperty(value = "仓ID") 
	@Column(value = "warehouse_id")
	private String warehouseId;

	@ApiModelProperty(value = "货主id") 
	@Column(value = "cargo_owner_id")
	private String cargoOwnerId;

	@ApiModelProperty(value = "货位ID") 
	@Column(value = "locator_id")
	private String locatorId;

	@ApiModelProperty(value = "货位编号") 
	@Column(value = "locator_code")
	private String locatorCode;

	@ApiModelProperty(value = "商品ID") 
	@Column(value = "item_id")
	private String itemId;

	@ApiModelProperty(value = "商品编号") 
	@Column(value = "item_code")
	private String itemCode;

	@ApiModelProperty(value = "批号") 
	@Column(value = "lot_num")
	private String lotNum;

	@ApiModelProperty(value = "不合格数量，前端隐藏不显示，但破损提交接口需传给后台")
	@Column(value = "unqualified_qty")
	private String unqualifiedQty;

	@ApiModelProperty(value = "不合格原因") 
	@Column(value = "unqualified_reason")
	private String unqualifiedReason;

	@ApiModelProperty(value = "质量情况反映") 
	@Column(value = "quality_status")
	private String qualityStatus;

	@ApiModelProperty(value = "意见") 
	@Column(value = "opinion")
	private String opinion;

	@ApiModelProperty(value = "关联单ID") 
	@Column(value = "ref_bill_id")
	private String refBillId;

	@ApiModelProperty(value = "关联单类型：1=入库 2=移库")
	@Column(value = "REF_BILL_TYPE")
	private String refBillType;

	@ApiModelProperty(value = "状态10初始，20已审批") 
	@Column(value = "status")
	private String status;

	@ApiModelProperty(value = "报损数量，必须不大于不合格数，且支持小数")
	@Column(value = "loss_qty")
	private String lossQty;

	@ApiModelProperty(value = "销毁申请数量，必须不大于报损数量，且支持小数")
	@Column(value = "destroying_qty")
	private String destroyingQty;

	@ApiModelProperty(value = "销毁完成数量，必须不大于报损数量，且支持小数")
	@Column(value = "destroyed_qty")
	private String destroyedQty;

	@ApiModelProperty(value = "创建日期") 
	@Column(value = "gmt_create")
	private Date gmtCreate;

	@ApiModelProperty(value = "创建人") 
	@Column(value = "creator")
	private String creator;

	@ApiModelProperty(value = "创建人") 
	@Column(value = "creator_name")
	private String creatorName;

	@ApiModelProperty(value = "最后修改日期") 
	@Column(value = "gmt_modified")
	private Date gmtModified;

	@ApiModelProperty(value = "日期")
	@Column(value = "REF_BILL_DATE")
	private Date refBillDate;

	@ApiModelProperty(value = "最后修改人") 
	@Column(value = "modifier")
	private String modifier;

	@ApiModelProperty(value = "最后修改人") 
	@Column(value = "modifier_name")
	private String modifierName;

	@ApiModelProperty(value = "批次ID")
	@Column(value = "batch_id")
	private String batchId;

	@ApiModelProperty(value = "行号")
	@Column(value = "seq_no")
	private String seqNo;

	@ApiModelProperty(value = "批号")
	@Ignore
	private String manufacturerLotNum;

	public String getSeqNo() {
		return seqNo;
	}

	public void setSeqNo(String seqNo) {
		this.seqNo = seqNo;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getLossId() {
		return lossId;
	}

	public void setLossId(String lossId) {
		this.lossId = lossId;
	}

	public String getLossCode() {
		return lossCode;
	}

	public void setLossCode(String lossCode) {
		this.lossCode = lossCode;
	}

	public String getEnterpriseId() {
		return enterpriseId;
	}

	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getDcId() {
		return dcId;
	}

	public void setDcId(String dcId) {
		this.dcId = dcId;
	}

	public String getWarehouseId() {
		return warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getCargoOwnerId() {
		return cargoOwnerId;
	}

	public void setCargoOwnerId(String cargoOwnerId) {
		this.cargoOwnerId = cargoOwnerId;
	}

	public String getLocatorId() {
		return locatorId;
	}

	public void setLocatorId(String locatorId) {
		this.locatorId = locatorId;
	}

	public String getLocatorCode() {
		return locatorCode;
	}

	public void setLocatorCode(String locatorCode) {
		this.locatorCode = locatorCode;
	}

	public String getItemId() {
		return itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public String getItemCode() {
		return itemCode;
	}

	public void setItemCode(String itemCode) {
		this.itemCode = itemCode;
	}

	public String getLotNum() {
		return lotNum;
	}

	public void setLotNum(String lotNum) {
		this.lotNum = lotNum;
	}

	public String getUnqualifiedQty() {
		return unqualifiedQty;
	}

	public void setUnqualifiedQty(String unqualifiedQty) {
		this.unqualifiedQty = unqualifiedQty;
	}

	public String getUnqualifiedReason() {
		return unqualifiedReason;
	}

	public void setUnqualifiedReason(String unqualifiedReason) {
		this.unqualifiedReason = unqualifiedReason;
	}

	public String getQualityStatus() {
		return qualityStatus;
	}

	public void setQualityStatus(String qualityStatus) {
		this.qualityStatus = qualityStatus;
	}

	public String getOpinion() {
		return opinion;
	}

	public void setOpinion(String opinion) {
		this.opinion = opinion;
	}

	public String getRefBillId() {
		return refBillId;
	}

	public void setRefBillId(String refBillId) {
		this.refBillId = refBillId;
	}

	public String getRefBillType() {
		return refBillType;
	}

	public void setRefBillType(String refBillType) {
		this.refBillType = refBillType;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getLossQty() {
		return lossQty;
	}

	public void setLossQty(String lossQty) {
		this.lossQty = lossQty;
	}

	public String getDestroyingQty() {
		return destroyingQty;
	}

	public void setDestroyingQty(String destroyingQty) {
		this.destroyingQty = destroyingQty;
	}

	public String getDestroyedQty() {
		return destroyedQty;
	}

	public void setDestroyedQty(String destroyedQty) {
		this.destroyedQty = destroyedQty;
	}

	public Date getGmtCreate() {
		return gmtCreate;
	}

	public void setGmtCreate(Date gmtCreate) {
		this.gmtCreate = gmtCreate;
	}

	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public String getCreatorName() {
		return creatorName;
	}

	public void setCreatorName(String creatorName) {
		this.creatorName = creatorName;
	}

	public Date getGmtModified() {
		return gmtModified;
	}

	public void setGmtModified(Date gmtModified) {
		this.gmtModified = gmtModified;
	}

	public Date getRefBillDate() {
		return refBillDate;
	}

	public void setRefBillDate(Date refBillDate) {
		this.refBillDate = refBillDate;
	}

	public String getModifier() {
		return modifier;
	}

	public void setModifier(String modifier) {
		this.modifier = modifier;
	}

	public String getModifierName() {
		return modifierName;
	}

	public void setModifierName(String modifierName) {
		this.modifierName = modifierName;
	}

	public String getBatchId() {
		return batchId;
	}

	public void setBatchId(String batchId) {
		this.batchId = batchId;
	}

	public String getManufacturerLotNum() {
		return manufacturerLotNum;
	}

	public void setManufacturerLotNum(String manufacturerLotNum) {
		this.manufacturerLotNum = manufacturerLotNum;
	}
}
